Skip Menu |
 

Preferred bug tracker

Please visit the preferred bug tracker to report your issue.

This queue is for tickets about the Alien-LibYAML CPAN distribution.

Report information
The Basics
Id: 129323
Status: resolved
Priority: 0/
Queue: Alien-LibYAML

People
Owner: Nobody in particular
Requestors: SREZIC [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: 2.04
Fixed in: (no value)



Subject: ffi test fails on some systems
Download (untitled) / with headers
text/plain 534b
On my CentOS7 and Fedora28 smokers the ffi test fails if FFI::Platypus is installed. On these systems libyaml is already installed as a rpm package. ... # Failed test 'ffi' # at t/alien_libyaml__ffi.t line 14. # yaml_get_version_string not found t/alien_libyaml__ffi.t .. Dubious, test returned 1 (wstat 256, 0x100) Failed 1/3 subtests ... Don't know if it matters, but /lib64/libyaml.so on these systems is just a text file with the contents: INPUT(libyaml-0.so.2) The referenced shared object looks like a real .so, though.
Download (untitled) / with headers
text/plain 217b
Thanks for reporting this. I am able to reproduce this in CI with Alien::LibYAML, but I think this might be a bug in FFI::CheckLib, so I am opening an issue there. https://github.com/Perl5-FFI/FFI-CheckLib/issues/13


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.